> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Doc Binary

> Get binary original source file with range request support.

Args:
    docset_id: The ID of the DocSet
    doc_id: The ID of the document

Returns:
    the content



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json get /v1/storage/docsets/{docset_id}/docs/{doc_id}/binary
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/storage/docsets/{docset_id}/docs/{doc_id}/binary:
    get:
      tags:
        - Document
      summary: Get Doc Binary
      description: |-
        Get binary original source file with range request support.

        Args:
            docset_id: The ID of the DocSet
            doc_id: The ID of the document

        Returns:
            the content
      operationId: get_doc_binary_v1_storage_docsets__docset_id__docs__doc_id__binary_get
      parameters:
        - name: docset_id
          in: path
          required: true
          schema:
            type: string
            title: Docset Id
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            title: Doc Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````